PDA

Visualizza la versione completa : errore xorg


metal milita
05-05-2006, 16:31
dopo il dist-upgrade ho dei problemi.
mi compare lo schermo blu che mi dice che ci sono degli errori.
una volta ho risolto riconfigurando ma non ricordo pi come si fa.
mi aiutate? :ciauz:

metal milita
05-05-2006, 18:47
scusate se questo post dovesse essere visualizzato male ma sto scrivendo da links.

dunque, adesso posso postare il l'errore:

failed to initialize the core devices
....
XIO: fatal IO error 104 (connection reset by peer) on server X ":0.0" after 0 requests whith 0 event remaining.

andy caps
05-05-2006, 20:35
http://forum.html.it/forum/showthread.php?threadid=980103&goto=newpost
dai un occhio anche qui

devi provare a reiinstallare i files di xorg


a me ieri ha dato problemi ed bastato installare gdm e togliere kdm

/dev/null
05-05-2006, 20:35
Originariamente inviato da metal milita
failed to initialize the core devices
Che distribuzione usi?
Puoi pastare tutto il log di X? ( /var/log/Xorg.0.log )

Mi dava un errore simile quando non riusciva a trovarmi il device del mouse... se X non trova il mouse non parte.
Dist-upgradando avevo installato udev al posto di devfs+hotplug, e cosi' facendo hotplug non c'era piu' per crearmi il device del mouse, e udev non funzionava a causa del mio kernel che era piu' vecchio di quanto richiesto da udev... M'e' bastato aggiornare il kernel e ovviamente riavviare per risolvere il problema.

metal milita
05-05-2006, 20:45
@/dev/null: in effetti ho installato udev su un kernel pi vecchio rispetto a quello richiesto. per il problema di xorg posteriore.

@andy caps: provevo a fare come dici. poi posto.


per vorrei sapere una cosa: se mi dovessse andar male c' un modo per tornare alla versione di xorg6.9? quella che mi da problemi la 7.0.

/dev/null
05-05-2006, 21:00
Originariamente inviato da metal milita
per vorrei sapere una cosa: se mi dovessse andar male c' un modo per tornare alla versione di xorg6.9? quella che mi da problemi la 7.0. Come ho scritto nell'altro post:

xorg 7.0 in unstable, BEWARE UNSTABLE: http://wiki.debian.org/StatusOfUnstable

La cosa che piu' manca ad apt e' la possibilita' di downgradare un pacchetto... Se provo a farlo apt vuole togliermi tutti i pacchi e le librerie che usano x

andy caps
05-05-2006, 21:04
tornare al vecchio troppo difficile
dovresti provare a rimuovere tutto xorg , cambiare server nel sources.list e tentare

semmai aggiorna il kernel

se scarichi il mio sources.list trovi anche il 2.6.17-3 come kernel immagine

apt-cache search linux-image ti trova diversi kernel installabili

wget andycaps.it/sources.list te lo scarica

metal milita
05-05-2006, 21:09
maledetto udev :dh: :dh: :dh: :dh:

adesso funziona meglio di prima (a primo acchitto).


se avete lo stesso problema mio togliete udev e usbmount e installate l'altro pacchetto che non mi ricordo pi come si chiama

andy caps
05-05-2006, 21:17
hal probabilmente
in genere se hai sid hal ed hotplug andrebbero rimossi e purgati prima di aggiornare il kernel

Loading